=== packages/debian/changelog ===
pgroonga (0.2.0-1) unstable; urgency=low

  * Initial release

 -- Kouhei Sutou <kou@clear-code.com>  Thu, 29 Jan 2015 00:00:00 +0900
